= content_for :title do
  = 'Posts'

= link_to 'New Post', new_post_path, class: 'btn btn-primary my-2'

.p-3.bg-light
  / BEGIN
  = search_form_for @query, builder: SimpleForm::FormBuilder do |f|
    = f.input :title_cont, input_html: { class: 'form-control' }, label: 'Title', required: false
    = f.input :aasm_state_in, collection: Post.aasm.states, include_blank: 'Any', input_html: { class: 'form-select' }, label: 'State', required: false
    = f.submit 'Search', class: 'btn btn-sm btn-primary'
  / END

table.table.table-striped.table-hover.mb-5
  thead
    tr
      th{ scope: :col } #
      th{ scope: :col } Title
      th{ scope: :col } State
      th

  tbody
    - @posts.each_with_index do |post, i|
      tr
        th{ scope: :col } = i + 1
        td = post.title
        td = post.aasm.current_state
        td.d-flex
          .me-4 = link_to 'Show', post
          .me-4 = link_to 'Edit', edit_post_path(post)
          = link_to 'Destroy', post, data: { confirm: 'Are you sure?' }, method: :delete

= link_to 'New Post', new_post_path, class: 'btn btn-primary'
